import os, pygame, random
from constants import *
H = 50
W = 50
def load_image(name, colorkey=None, alpha=False):
    fullname = os.path.join('data', 'images', name)
    try:
        image = pygame.image.load(fullname)
    except pygame.error, message:
        print 'Cannot load image:', name
        raise SystemExit, message
    if alpha:
        image = image.convert_alpha()
    else:
        image = image.convert()
    if colorkey is not None:
        if colorkey is -1:
            colorkey = image.get_at((0,0))
        image.set_colorkey(colorkey, pygame.RLEACCEL)
    return image

def load_random_image():
    img  = load_image('ufos.png', -1, True)
    x = random.randint(0,6)
    y = random.randint(0,6)
    img = img.convert_alpha()
    return img.subsurface(x*W, y*H, W, H)
def load_map(name):
    fullname = os.path.join('data', 'maps', name)
    #try:
        
def join(*l): #it takes list of paths those we want to join, it works recursively
    if len(l) == 1: #if l includes only one item, it's probably list or tuple
        l = l[0]
    if len(l) > 2:
        return os.path.join(l[0], join(l[1:]))
    elif len(l) == 2:
        return os.path.join(l[0], l[1])
    else:
        return 'None'
