import random
class Ui():
    def __init__(self, axis, center):
        self.xtendency = 0.0
        self.ytendency = 0.0
        self.axis = axis
        self.center = center
        self.tendlist = [(0,0),(0,0),(0,0),(0,0),(0,0),(0,0),(0,0),(0,0),(0,0)]
    def move(self, axis, others): #others format [[(firstx, firsty) first tendency],[[second, ...
        self.xtendency = 0
        self.ytendency = 0
        self.axis = axis
        u = l = d = r = False
        for other in others:
            distance = ((other[0][0] - self.axis[0])**2 + (other[0][1] - self.axis[1])**2)**0.5
            if self.axis[0] - other[0][0]:
                if other[1] < 0:
                    self.xtendency += float(other[1]/(distance)*((other[0][0] - self.axis[0])))
                elif other[1] > 0:
                    self.xtendency += float(other[1]/(0.25*((distance)**3))*((other[0][0] - self.axis[0])/abs(other[0][0] - self.axis[0])))
            if self.axis[1] - other[0][1]:
                if other[1] < 0:
                    self.ytendency += float(other[1]/(distance)*((other[0][1] - self.axis[1])))
                elif other[1] > 0:
                    self.ytendency += float(other[1]/(0.25*((distance)**3))*((other[0][1] - self.axis[1])/abs(other[0][1] - self.axis[1])))
        self.tendlist.append((self.xtendency, self.ytendency))
        self.xtendency, self.ytendency = self.tendlist.pop(6)
        if True:
            if self.xtendency > 0:
                r = True
            elif self.xtendency < 0:
                l = True
            else:
                if random.randint(0,1):
                    r = True
                else:
                    l = True
            if self.ytendency > 0:
                d = True
            elif self.ytendency < 0:
                u = True
            else:
                if random.randint(0,1):
                    d = True
                else:
                    u = True
        """if abs(self.xtendency) > 2*abs(self.ytendency):
            u = False
            d = False
        if abs(self.ytendency) > 2*abs(self.xtendency):
            l = False
            r = False"""
        return u, l, d, r
